require "rails_helper"

RSpec.describe Settings::ZonesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/zones").to route_to("settings/zones#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/zones/new").to route_to("settings/zones#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/zones/1").to route_to("settings/zones#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/zones/1/edit").to route_to("settings/zones#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/zones").to route_to("settings/zones#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/zones/1").to route_to("settings/zones#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/zones/1").to route_to("settings/zones#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/zones/1").to route_to("settings/zones#destroy", :id => "1")
    end

  end
end
